Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.cache
[Java] Interface ResolutionControl

    @Incubating
    public interface ResolutionControl

Command methods for controlling dependency resolution via the DSL.

Parameters:
  `` - The type of the request object for this resolution
  `` - The type of the result of this resolution

Method Summary
`void` | `cacheFor(int value, TimeUnit units)` States that the cached value should be used if it is no older than the specified duration.
`B` | `getCachedResult()` Returns the cached result file or null if the result has not been cached.
`A` | `getRequest()` Returns the query object that was requested in this resolution.
`void` | `refresh()` States that any cached value should be ignored, forcing a fresh resolve.
`void` | `useCachedResult()` States that the cached value should be used regardless of age.

Method Detail

### cacheFor

    public void cacheFor(int value, TimeUnit units)

  States that the cached value should be used if it is no older than the specified duration.
  Parameters:
    `value` - The number of units
    `units` - The time units

### getCachedResult

    public B getCachedResult()

  Returns the cached result file or null if the result has not been cached.
  Returns:
    the cached result

### getRequest

    public A getRequest()

  Returns the query object that was requested in this resolution.
  Returns:
    the request object

### refresh

    public void refresh()

  States that any cached value should be ignored, forcing a fresh resolve.

### useCachedResult

    public void useCachedResult()

  States that the cached value should be used regardless of age. If not cachedResult is available, resolution should fail.

Gradle API 1.10